Bug 211 - Command line option for export to EPS opens GUI
Summary: Command line option for export to EPS opens GUI
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: GUI (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal
Assignee: Marius Mikučionis
URL:
Depends on:
Blocks:
 
Reported: 2005-10-27 13:18 CEST by Gerd Behrmann
Modified: 2005-11-29 16:16 CET (History)
0 users

See Also:
Architecture:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerd Behrmann 2005-10-27 13:18:03 CEST
The command line options for exporting to EPS (see bug 146) is supposed to
non-interactively export a template to EPS format. However, the current
implementation opens the splash screen and in some cases shows error dialogs.

Looking at the implementation, it is clear that indeed Swing is initialized
before the export is performed. I suggest this is redesigned to export the
template without starting Swing.
Comment 1 Marius Mikučionis 2005-11-07 02:27:33 CET
Fixed in CVS.
The other options will still be interpreted, but options requiring graphical
response will have no chance, e.g. "--splashScreen on" will not have effect.
Comment 2 Marius Mikučionis 2005-11-29 16:16:38 CET
Tested after Gerd's restructuring, works fine (nice error reporting).